Package net.shibboleth.idp.attribute.resolver.dc.saml.impl

# Interface SelfEntityIDResolver

All Known Implementing Classes:
  `ChainingSelfEntityIDResolver`, `CriteriaSelfEntityIDResolver`

public interface SelfEntityIDResolver
Interface for a component which resolves the self entityID to use when executing an attribute query.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolve(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes, AttributeAuthorityDescriptor roleDescriptor)`
Resolve the self entity ID to use in query.

## Method Details

### resolve

@Nullable String resolve(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull Map<String,List<IdPAttributeValue>> dependencyAttributes, @Nonnull AttributeAuthorityDescriptor roleDescriptor) throws ResolutionException
Resolve the self entity ID to use in query.

Parameters:
  `resolutionContext` - the attribute resolution context in effect for the query
  `dependencyAttributes` - the dependency attributes in effect for the query
  `roleDescriptor` - the attribute authority role descriptor for the query
Returns:
  the entity ID, may be null
Throws:
  `ResolutionException` - if there is a fatal error during processing